%define name gaim
%define version 0.9.11
%define release 3mdk
%define prefix /usr

Summary: A client compatible with AOL's 'Instant Messenger'

Name: %{name}
Version: %{version}
Release: %{release}
Group: Networking/Chat
Copyright: GPL
Url: http://marko.net/gaim
Source: %{name}-%{version}.tar.bz2
Source1: gaim.xpm.bz2
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Distribution: Linux-Mandrake

%description
Gaim allows you to talk to anyone using AOL's 
Instant Messenger service (you can sign up at http://www.aim.aol.com).  

It uses the TOC version of the AOL protocol, so your buddy list is 
stored on AOL's servers and can be retrieved from anywhere.

It contains many of the same features as AOL's IM client while at
the same time incorporating many new features.

%prep

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

install -d $RPM_BUILD_ROOT%{prefix}/share/icons
bzcat %{SOURCE1} >$RPM_BUILD_ROOT%{prefix}/share/icons/gaim.xpm

# Menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/gaim <<EOF
?package(gaim): command="/usr/bin/gaim" needs="X11" \
icon="gaim.xpm" section="Networking/Chat" \
title="gaim" longtitle="AOL Instant Messenger clone"
EOF

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%files
%defattr(-,root,root)
%attr(755,root,root) %{prefix}/bin/gaim
%{prefix}/lib/menu/gaim
%{prefix}/share/icons

%doc doc/the_penguin.txt doc/PROTOCOL doc/CREDITS NEWS COPYING AUTHORS doc/FAQ README ChangeLog

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.11-3mdk
- add 32*32 icon

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.11-2mdk
- Don't +x the menu entries.

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.9.11-1mdk
- v0.9.11
- Added menu
- fixed group
- spec-helper

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
Build Release

* Tue Nov 02 1999 Lenny Cartier <lenny@mandrakesoft.com>
v0.9.9

* Wed Oct 13 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations.
